From: Sebastian Ramacher <sramacher@debian.org>
Date: Wed, 14 Jun 2017 20:22:27 +0200
Subject: Use system asm instead of embedded copy

---
 src/libbluray/bdj/build.xml | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/src/libbluray/bdj/build.xml b/src/libbluray/bdj/build.xml
index 1753779..19163d1 100644
--- a/src/libbluray/bdj/build.xml
+++ b/src/libbluray/bdj/build.xml
@@ -21,17 +21,15 @@
 
     <target name="compile" depends="init"
             description="compile the source " >
-        <javac srcdir="${src_asm}" destdir="${build}" debug="yes"
-               bootclasspath="${bootclasspath}"
-               source="${java_version_asm}" target="${java_version_asm}">
-               <compilerarg value="-XDignore.symbol.file"/>
-               <compilerarg value="-Xlint:-deprecation"/>
-        </javac>
         <javac srcdir="${src}${src_awt}" destdir="${build}" debug="yes"
                bootclasspath="${bootclasspath}"
                source="${java_version_bdj}" target="${java_version_bdj}">
                <compilerarg value="-XDignore.symbol.file"/>
                <compilerarg value="-Xlint:-deprecation"/>
+               <classpath>
+                   <pathelement path="/usr/share/java/asm.jar" />
+                   <pathelement path="/usr/share/java/asm-commons.jar" />
+               </classpath>
         </javac>
     </target>
     <target name="dist" depends="compile"
@@ -39,6 +37,10 @@
         <jar jarfile="${dist}/libbluray-${version}.jar" basedir="${build}">
             <exclude name="java/awt/**" />
             <exclude name="sun/**" />
+            <manifest>
+                <attribute name="Class-Path" value="/usr/share/java/asm.jar" />
+                <attribute name="Class-Path" value="/usr/share/java/asm-commons.jar" />
+            </manifest>
         </jar>
         <jar jarfile="${dist}/libbluray-awt-${version}.jar" basedir="${build}">
           <include name="java/awt/**" />
